%global gem_name mime-types-data
Name:                rubygem-%{gem_name}
Version:             3.2022.0105
Release:             1
Summary:             A registry for information about MIME media type definitions
License:             MIT
URL:                 https://github.com/mime-types/mime-types-data/
Source0:             https://rubygems.org/gems/mime-types-data-%{version}.gem
BuildRequires:       ruby(release) rubygems-devel ruby >= 2.0
BuildArch:           noarch
%description
mime-types-data provides a registry for information about MIME media type
definitions. It can be used with the Ruby mime-types library or other software
to determine defined filename extensions for MIME types, or to use filename
extensions to look up the likely MIME type definitions.

%package doc
Summary:             Documentation for %{name}
Requires:            %{name} = %{version}-%{release}
BuildArch:           noarch
%description doc
Documentation for %{name}.

%prep
gem unpack %{SOURCE0}
%setup -q -D -T -n  %{gem_name}-%{version}
gem spec %{SOURCE0} -l --ruby > %{gem_name}.gemspec

%build
gem build %{gem_name}.gemspec
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/

%check
pushd .%{gem_instdir}
popd

%files
%dir %{gem_instdir}
%license %{gem_instdir}/Licence.md
%{gem_instdir}/data
%{gem_instdir}/types
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%doc %{gem_instdir}/Code-of-Conduct.md
%doc %{gem_instdir}/Contributing.md
%doc %{gem_instdir}/History.md
%{gem_instdir}/Manifest.txt
%doc %{gem_instdir}/README.md
%{gem_instdir}/Rakefile

%changelog
* Wed Jun 29 2022 xu_ping <xuping33@h-partners.com> - 3.2022.0105-1
- Package upgrade 3.2022.0105

* Fri Aug 7 2020 yanan li <liyanan032@huawei.com> - 3.2016.0521-1
- Package init
